Subject: Re: bug#29198: Cursor fringe arrow indicator not updating.

From: Keith David Bershatsky <[email-masked]>
Date: Wed, 08 Nov 2017 20:43:47 -0800

I thought it may also be helpful for you to be aware that the slow-down that I reported on reddit with this feature was experienced with a build of Emacs _prior_ to February 23, 2017, when the following patch was applied dee8674414fae2323fd9cbf05aa762e72fa575e5.  [I am doing my Emacs C tinkering/development of new features and my daily workflow with an older version of Emacs master branch, that has certain patches applied such as line numbers and horizontal scrolling of the current line.]

Here is the relevent reddit thread from a few weeks ago:

https://www.reddit.com/r/emacs/comments/76a5nu/how_to_speed_up_fringe_overlay_cursor_arrow/dohj50i/?st=j9rzd34c&sh=f19a1d88

I did some profiling (in a version of Emacs prior to February 23, 2017) and can see that there is increased garbage collection, perhaps due to the placement of a marker, but I'm just guessing as to the cause.  It may have also been due to a full redisplay or something of that nature.

Keith